> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# (Deprecated) Request connect widget URL

> This endpoint will return a URL for an embeddable version of MX Connect.



## OpenAPI

````yaml /openapi/platform-api/v20111101.yaml post /users/{user_guid}/connect_widget_url
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /users/{user_guid}/connect_widget_url:
    post:
      tags:
        - widgets
      summary: (Deprecated) Request connect widget URL
      description: This endpoint will return a URL for an embeddable version of MX Connect.
      operationId: requestConnectWidgetURL
      parameters:
        - $ref: '#/components/parameters/userGuid'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConnectWidgetRequestBody'
        description: >-
          Optional config options for WebView (is_mobile_webview,
          current_institution_code, current_member_guid, update_credentials)
        required: true
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/ConnectWidgetResponseBody'
          description: OK
      deprecated: true
components:
  parameters:
    userGuid:
      description: The unique identifier for a `user`, beginning with the prefix `USR-`.
      example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
      in: path
      name: user_guid
      required: true
      schema:
        type: string
  schemas:
    ConnectWidgetRequestBody:
      properties:
        config:
          $ref: '#/components/schemas/ConnectWidgetRequest'
      type: object
    ConnectWidgetResponseBody:
      properties:
        user:
          $ref: '#/components/schemas/ConnectWidgetResponse'
      type: object
    ConnectWidgetRequest:
      properties:
        client_redirect_url:
          example: https://{yoursite.com}
          type: string
        color_scheme:
          example: light
          type: string
        current_institution_code:
          example: mxbank
          type: string
        current_member_guid:
          example: MBR-7c6f361b-e582-15b6-60c0-358f12466b4b
          type: string
        disable_background_agg:
          example: false
          type: boolean
        disable_institution_search:
          example: false
          type: boolean
        enable_app2app:
          example: false
          type: boolean
          description: >
            This indicates whether OAuth app2app behavior is enabled for
            institutions that support it. Defaults to `true`. When set to
            `false`, the widget will **not** direct the end user to the
            institution's mobile application. This setting is not persistent.
            This setting currently only affects Chase institutions.
        include_identity:
          example: false
          type: boolean
        include_transactions:
          example: true
          type: boolean
        is_mobile_webview:
          example: false
          type: boolean
        mode:
          example: aggregation
          type: string
        oauth_referral_source:
          example: BROWSER
          type: string
        ui_message_version:
          example: 4
          type: integer
        ui_message_webview_url_scheme:
          type: string
        update_credentials:
          example: false
          type: boolean
      type: object
    ConnectWidgetResponse:
      properties:
        connect_widget_url:
          example: >-
            https://int-widgets.moneydesktop.com/md/connect/jb1rA14m85tw2lyvpgfx4gc6d3Z8z8Ayb8
          nullable: true
          type: string
        guid:
          example: USR-fa7537f3-48aa-a683-a02a-b18940482f54
          nullable: true
          type: string
      type: object
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````